---
description: Tracks the number of tokens used for embedding operations in AI-assisted features
action: tokens_per_embedding
identifiers:
- user
product_group: ai_framework
milestone: '16.6'
introduced_by_url: https://gitlab.com/gitlab-org/gitlab/-/merge_requests/166618
distributions:
- ee
tiers:
- premium
- ultimate
additional_properties:
  label:
    description: Type of embedding operation. Can be 'hybrid_issue_search_embedding', 'issue_embedding', or other AI-related actions.
  value:
    description: The number of tokens used for the embedding operation. This can vary widely based on the input size and complexity.
  property:
    description: The ID of the current request.
